package hw.tagApi.service.service;

import hw.tagApi.service.domain.ApiContent;

import java.util.List;

/**
 * 云文档服务接口
 *
 * @author Yinq
 * @date 2025-04-15
 */
public interface IKDocsService {
    
    /**
     * 获取系统状态
     *
     * @return 系统状态
     */
    String getSystemStatus();

    /**
     * 导入数据
     * 
     * @param content 数据内容
     * @return 处理结果
     */
    List<ApiContent> importDataList(List<ApiContent> content);

    /**
     * 查询数据
     * 
     * @param content 查询条件列表
     * @return 查询结果列表
     */
    List<ApiContent> queryDataList(List<ApiContent> content);

    /**
     * 导出数据
     * 
     * @param content 导出条件列表
     * @return 导出结果列表
     */
    List<ApiContent> exportDataList(List<ApiContent> content);
}
